<?php 
function cjfm_social_login( $atts, $content) {
	global $wpdb, $current_user, $post, $wp_query;
	$defaults = array( 
		'return' => null,
		'service' => 'Facebook',
		'button_text' => 'Connect via Facebook',
		'button_class' => null,
		'button_icon' => 'yes',
	);
	$atts = extract( shortcode_atts( $defaults ,$atts ) );

	$services_array = array(
		'Facebook' => __('Facebook', 'cjfm'),
		'Twitter' => __('Twitter', 'cjfm'),
		'Google' => __('Google', 'cjfm'),
		'LinkedIn' => __('LinkedIn', 'cjfm'),
	);

	$yes_no_array = array(
		'yes' => __('Yes', 'nctheme'),
		'no' => __('No', 'nctheme'),
	);
	

	$options = array(
		'stype' => 'single', // single or closed
		'description' => __('This will enable social login for your website.', 'cjfm'),
		'service' => array(__('Select Social Service', 'cjfm'), 'dropdown', $services_array, __('Select social web service.', 'cjfm')),
		'button_icon' => array(__('Show Icon?', 'cjfm'), 'dropdown', $yes_no_array, __('You can enable or disable service icon on button.', 'cjfm')),
		'button_text' => array(__('Submit Button Text', 'cjfm'), 'text', null, __('This will replace the submit button text. (Default: Login)', 'cjfm')),
		'button_class' => array(__('Submit Button CSS Class', 'cjfm'), 'text', null, __('You can specify custom CSS classes for the submit button.', 'cjfm')),
	);
	if(!is_null($return)){ return serialize($options); } foreach ($defaults as $key => $value) { if($$key == ''){ $$key = $defaults[$key]; }}

	if(is_null($button_class)){
		$buton_css_class = 'cjfm-button cjfm-button-'.strtolower($service);
	}else{
		$buton_css_class = $button_class;
	}

	$errors = null;
	$appID = cjfm_get_option($service.'_appID');
	$appSecret = cjfm_get_option($service.'_appSecret');
	$button_icon_html = ($button_icon == 'yes') ? ' <i class="cjfm-icon cjfmicon-'.strtolower($service).'"></i>' : '';
	$display[] = '<a href="'.cjfm_string(site_url()).'social_connect='.$service.'" class="'.$buton_css_class.'">'.$button_icon_html.$button_text.'</a>';
	if($appID == '' || $appSecret == '' && current_user_can('manage_options')){
		$errors[] = cjfm_show_message('error', sprintf(__('Missing credentials for %s. Please enter valid credentials in plugin settings.', 'cjfm'), $service));
	}
	if($return == null){
		if(is_null($errors)){
			return implode('', $display);
		}else{
			return implode('', $errors);
		}
	}else{
	    return serialize($options);
	}
}
add_shortcode( 'cjfm_social_login', 'cjfm_social_login' );


function cjfm_social_connect(){
	global $wpdb;
	if(isset($_GET['social_connect'])){
		$service = $_GET['social_connect'];
		$oauth_dir = cjfm_item_path('modules_dir').'/shortcodes/opauth/';
		$oauth_url = cjfm_item_path('modules_url').'/shortcodes/opauth/';
		$service_url = $oauth_url.'process/'.strtolower($service);
		wp_redirect($service_url);
		exit;
	}
}
add_action('init', 'cjfm_social_connect');