<?php 
global $cjfm_item_options;
$cjfm_item_options['cjfm_page_setup'] = array(
	array(
		'type' => 'heading',
		'id' => 'page_setup_heading',
		'label' => '',
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => __('Page Setup', 'cjfm'),
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'info-full',
		'id' => 'page_setup_info',
		'label' => '',
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => __('Shortcodes have a lot more options, setting up the shortcodes via Shortcode Generator while editing or creating the pages is highly recommended.', 'cjfm'),
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'info',
		'id' => 'auto_page_setup',
		'label' => __('Page Setup (Auto)', 'cjfm'),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '<p><a href="'.cjfm_string(cjfm_callback_url('cjfm_page_setup')).'cjfm_action=create_pages" class="btn btn-success btn-small">'.__('Create Pages', 'cjfm').'</a></p><p>'.__('<b>Note:</b> If you have already used the auto page setup, this will remove the previously created pages and create new pages with default setup.', 'cjfm').'</p>',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'page',
		'id' => 'page_login',
		'label' => __('Login Page', 'cjfm'),
		'info' => __('<p>Create or edit a page and use the following shortcode:</p>', 'cjfm').'<p><code>[cjfm_form_login redirect=""]</code></p>',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'page',
		'id' => 'page_logout',
		'label' => __('Logout Page', 'cjfm'),
		'info' => __('<p>Create or edit a page and use the following shortcode:</p>', 'cjfm').'<p><code>[cjfm_logout redirect=""]</code></p>',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'page',
		'id' => 'page_reset_password',
		'label' => __('Reset Password Page', 'cjfm'),
		'info' => __('<p>Create or edit a page and use the following shortcode:</p>', 'cjfm').'<p><code>[cjfm_form_reset_password]</code></p>',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'page',
		'id' => 'page_register',
		'label' => __('Register Page', 'cjfm'),
		'info' => __('<p>Create or edit a page and use the following shortcode:</p>', 'cjfm').'<p><code>[cjfm_form_register]</code></p>',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'page',
		'id' => 'page_profile',
		'label' => __('Profile Page', 'cjfm'),
		'info' => __('<p>Create or edit a page and use the following shortcode:</p>', 'cjfm').'<p><code>[cjfm_user_profile]</code></p>',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
	array(
		'type' => 'submit',
		'id' => '',
		'label' => __('Save Settings', 'cjfm'),
		'info' => '',
		'suffix' => '',
		'prefix' => '',
		'default' => '',
		'options' => '', // array in case of dropdown, checkbox and radio buttons
	),
);


function cjfm_auto_page_setup(){
	global $current_user, $wpdb;

	if(isset($_GET['cjfm_action']) && $_GET['cjfm_action'] == 'create_pages'){

		$reset_pages = get_option( 'cjfm_auto_page_setup' );

		if(is_array($reset_pages)){
			foreach ($reset_pages as $key => $value) {
				wp_delete_post( $value, true );
				cjfm_update_option($key, '');
			}	
		}
		
		delete_option('cjfm_auto_page_setup');

		$pages['page_login'] = array(
			'post_type'      => 'page',
			'post_title'     => __('Login', 'cjfm'),
			'post_content'   => '[cjfm_form_login redirect_url="'.site_url().'"]',
			'post_name'      => 'login',
			'post_author'    => $current_user->ID,
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
			'post_status'    => 'publish',
		);
		$pages['page_register'] = array(
			'post_type'      => 'page',
			'post_title'     => __('Register', 'cjfm'),
			'post_content'   => '[cjfm_form_register redirect_url="'.site_url().'"]',
			'post_name'      => 'register',
			'post_author'    => $current_user->ID,
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
			'post_status'    => 'publish',
		);
		$pages['page_logout'] = array(
			'post_type'      => 'page',
			'post_title'     => __('Logout', 'cjfm'),
			'post_content'   => '[cjfm_logout type="direct-logout"]',
			'post_name'      => 'logout',
			'post_author'    => $current_user->ID,
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
			'post_status'    => 'publish',	
		);
		$pages['page_reset_password'] = array(
			'post_type'      => 'page',
			'post_title'     => __('Recover Password', 'cjfm'),
			'post_content'   => '[cjfm_form_reset_password]',
			'post_name'      => 'recover-password',
			'post_author'    => $current_user->ID,
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
			'post_status'    => 'publish',
		);
		$pages['page_profile'] = array(
			'post_type'      => 'page',
			'post_title'     => __('Edit Profile', 'cjfm'),
			'post_content'   => '[cjfm_user_profile]',
			'post_name'      => 'profile',
			'post_author'    => $current_user->ID,
			'comment_status' => 'closed',
			'ping_status'    => 'closed',
			'post_status'    => 'publish',
		);

		
		foreach ($pages as $key => $value) {
			//echo '<pre>'; print_r($value); echo '</pre>';
			if(get_option( 'cjfm_auto_page_setup') != 1){
				$post_id = wp_insert_post( $value );
				cjfm_update_option($key, $post_id);
				$post_ids[$key] = $post_id;
			}
		}
		update_option('cjfm_auto_page_setup', $post_ids);
		$location = cjfm_callback_url('cjfm_page_setup');
		wp_redirect( $location );
		exit;
	}
}

add_action('init', 'cjfm_auto_page_setup');











